package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 以试卷作为起点生成考务数据
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_task_print")
public class ExamTaskPrint extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("org_id")
    private Long orgId;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("print_plan_id")
    private Long printPlanId;

    @TableField("exam_start_time")
    private Long examStartTime;

    @TableField("exam_end_time")
    private Long examEndTime;

    @TableField("package_code")
    private String packageCode;

    @TableField("exam_place")
    private String examPlace;

    @TableField("exam_room")
    private String examRoom;

    @TableField("invigilatro_teacher")
    private String invigilatroTeacher;

    @TableField("class_id")
    private String classId;

    @TableField(value = "class_name")
    private String className;

    @TableField(value = "student_count")
    private Integer studentCount;

    @TableField(value = "print_house")
    private String printHouse;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(Long printPlanId) {
        this.printPlanId = printPlanId;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getInvigilatroTeacher() {
        return invigilatroTeacher;
    }

    public void setInvigilatroTeacher(String invigilatroTeacher) {
        this.invigilatroTeacher = invigilatroTeacher;
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public String getPrintHouse() {
        return printHouse;
    }

    public void setPrintHouse(String printHouse) {
        this.printHouse = printHouse;
    }
}
